# $Revision: 1.36 $, $Date: 2012/01/13 21:00:18 $
#
# Conditional build:
%bcond_without	gnome	# without gui package
%bcond_without	odbc	# without odbc package
#
%define 	pre		pre2
%define		rel	8
%define		snap	20050624
Summary:	Several utilities for using MS-Access .mdb files
Summary(pl.UTF-8):	Zbiór narzędzi do używania plików MS-Access (.mdb)
Name:		mdbtools
Version:	0.6
Release:	0.%{pre}.%{rel}cvs%{snap}
License:	LGPL (library), GPL (gmdb2)
Group:		Development/Tools
#Source0:	http://dl.sourceforge.net/mdbtools/%{name}-%{version}%{pre}.tar.gz
Source0:	http://distfiles.gentoo.org/distfiles/%{name}-cvs-%{snap}.tar.gz
# Source0-md5:	875872ed64c4826c23d0ba5b63f5c489
Source1:	gmdb2.desktop
Source2:	gmdb2.png
Patch0:		%{name}-gcc34.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-as_needed.patch
Patch3:		%{name}-pc.patch
Patch4:		%{name}-haveiconv_fix.patch
Patch5:		%{name}-parallel_make.patch
Patch6:		%{name}-odbc_definitions.patch

URL:		http://mdbtools.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	glib2-devel >= 2.0.0
%{?with_gnome:BuildRequires:	libglade2-devel >= 2.0.0}
%{?with_gnome:BuildRequires:	libgnomeui-devel >= 2.0.0}
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
%{?with_odbc:BuildRequires:	unixODBC-devel >= 2.0.0}
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_includedir	%{_prefix}/include/mdb

%description
- mdb-dump - simple hex dump utility for looking at mdb files
- mdb-schema - prints DDL for the specified table
- mdb-export - export table to CSV format
- mdb-tables - a simple dump of table names to be used with shell
  scripts
- mdb-header - generates a C header to be used in exporting mdb data
  to a C program
- mdb-parsecsv - generates a C program given a CSV file made with
  mdb-export
- mdb-sql - demo SQL engine program

%description -l pl.UTF-8
- mdb-dump - proste narzędzie do robienia szesnastkowych zrzutów baz,
  służące do oglądania plików mdb
- mdb-schema - wypisuje DDL dla podanej tabeli
- mdb-export - eksportuje tabelę do formatu CSV
- mdb-tables - prosty zrzut nazw tabel do używania w skryptach powłoki
- mdb-header - generuje nagłówki C, do używania przy eksportowaniu
  danych mdb do programu w C
- mdb-parsecsv - generuje program w C na podstawie pliki CSV
  zrobionego przy użyciu mdb-export
- mdb-sql - program demonstracyjny silnika SQL

%package libs
Summary:	Shared libraries for mdbtools
Summary(pl.UTF-8):	Biblioteki współdzielone mdbtools
Group:		Libraries
Conflicts:	mdbtools < 0.6-0.pre1.3

%description libs
Shared libraries for mdbtools.

%description libs -l pl.UTF-8
Biblioteki współdzielone mdbtools.

%package devel
Summary:	Header files for mdb library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki mdb
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Header files for mdb library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki mdb.

%package static
Summary:	Static mdb library
Summary(pl.UTF-8):	Statyczna biblioteka mdb
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static mdb library.

%description static -l pl.UTF-8
Statyczna biblioteka mdb.

%package odbc
Summary:	MDB Tools ODBC driver for unixODBC
Summary(pl.UTF-8):	Sterownik ODBC do MDB dla unixODBC
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	unixODBC >= 2.0.0

%description odbc
MDB Tools ODBC driver for unixODBC.

%description odbc -l pl.UTF-8
Sterownik ODBC do MDB dla unixODBC.

%package gui
Summary:	gmdb2 - graphical interface for MDB Tools
Summary(pl.UTF-8):	gmdb2 - graficzny interfejs do narzędzi MDB
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Requires:	glib2 >= 2.0.0
Requires:	libglade2 >= 2.0.0
Requires:	libgnomeui >= 2.0.0

%description gui
gmdb2 - graphical interface for MDB Tools.

%description gui -l pl.UTF-8
gmdb2 - graficzny interfejs do narzędzi MDB.

%prep
%setup -q -n %{name}-cvs-%{snap}
%patch0 -p0
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
rm -f acinclude.m4
touch config.rpath
%{__autoheader}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--enable-sql \
	%{?with_odbc:--with-unixodbc=/usr}

%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with odbc}
# just a test program, too generic name
rm -f $RPM_BUILD_ROOT%{_bindir}/unittest
# internal API
rm -f $RPM_BUILD_ROOT%{_includedir}/{connectparams.h,mdbodbc.h}
# this library is meant to be dlopened
rm -f $RPM_BUILD_ROOT%{_libdir}/libmdbodbc.{la,a}
%endif

%if %{with gnome}
install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/gmdb2.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/gmdb2.png

%find_lang gmdb --with-gnome
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post	odbc -p /sbin/ldconfig
%postun	odbc -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO doc/faq.html
%attr(755,root,root) %{_bindir}/mdb-*
%{_mandir}/man1/mdb-*.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmdb.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libmdb.so.1
%attr(755,root,root) %{_libdir}/libmdbsql.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libmdbsql.so.1

%files devel
%defattr(644,root,root,755)
%doc HACKING
%attr(755,root,root) %{_libdir}/libmdb.so
%attr(755,root,root) %{_libdir}/libmdbsql.so
%{_libdir}/libmdb.la
%{_libdir}/libmdbsql.la
%{_includedir}
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmdb.a
%{_libdir}/libmdbsql.a

%if %{with odbc}
%files odbc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmdbodbc.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmdbodbc.so.0
# for dlopening
%attr(755,root,root) %{_libdir}/libmdbodbc.so
%endif

%if %{with gnome}
%files gui -f gmdb.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gmdb2
%{_datadir}/gmdb
%{_desktopdir}/gmdb2.desktop
%{_pixmapsdir}/gmdb2.png
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mdbtools.spec,v $
Revision 1.36  2012/01/13 21:00:18  arekm
- release 8

Revision 1.35  2011/04/12 14:20:52  evil
- up to 0.6.pre2.7snap20050624 gentoo cvs snapshot (finally not segfaults with large JET 4.0 databases :)
- changed Source0 URL to gentoo distfiles
- updated -as_needed.patch (gentoo)
- added -gcc34,-haveiconv_fix,-odbc_definitions,-parallel_make patches from gentoo
- removed -compile_fix and -oo_fixes patches (upstream now)
- reworked autotools rules

Revision 1.34  2010/11/03 21:24:18  megabajt
- added -pc.patch
- ghost soname symlinks
- release 7

Revision 1.33  2009/02/23 22:07:08  arekm
- release 6

Revision 1.32  2007/12/27 23:45:24  glen
- rel 5

Revision 1.31  2007-09-05 14:54:12  baggins
- rel 4

Revision 1.30  2007/02/13 06:46:53  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:49:07  baggins
- converted to UTF-8

Revision 1.28  2007/01/07 19:43:15  qboosh
- pl for -libs

Revision 1.27  2007/01/03 00:56:05  glen
- libs split; rel 3

Revision 1.26  2006/10/25 10:11:47  sls
- updated version to 0.6pre1 (de facto stable)
- removed outdated patches: glib, gcc34
- updated link patch
- added patches: compile_fix, oo_fixes, as_needed
- added pkg-config files to devel subpackage

Revision 1.25  2006/02/21 20:56:48  qboosh
- release 3

Revision 1.24  2006/02/21 19:08:21  qboosh
- merged no_glib1 patch into glib patch, added link patch

Revision 1.23  2006/02/21 18:52:18  qboosh
- odbc cleanup (dlopened driver, so no devel resources for it)

Revision 1.22  2006/02/21 18:08:42  qboosh
- fixed build without gnome

Revision 1.21  2005/09/17 10:33:56  arekm
- rebuild with readline 5.0

Revision 1.20  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.19  2005/06/08 14:40:34  zbyniu
- BR: pkgconfig

Revision 1.18  2005/05/31 20:02:41  hawk
- oops, rev 1.16 is back in changelog

Revision 1.17  2005/05/31 19:55:00  hawk
- reverted last commit, it should be commited to DEVEL branch

Revision 1.16  2005/05/25 09:55:38  spider
- devel branch
- up to 0.6 pre1

Revision 1.15  2005/01/05 10:39:43  qboosh
- single icons DON'T belong to _iconsdir

Revision 1.14  2005/01/05 10:37:18  twittner
- added desktop file and icon

Revision 1.13  2004/07/11 11:05:06  jpc
- patch2: remove unnecessary -lglib from the odbc makefile

Revision 1.12  2004/04/30 20:13:21  adgor
- Added gcc34.patch

Revision 1.11  2004/03/23 18:36:53  averne
- rel1 for Ac

Revision 1.10  2004/02/18 00:24:35  adgor
- Fixed req

Revision 1.9  2003/12/27 17:47:14  qboosh
- added gnome help files to -gui

Revision 1.8  2003/12/02 11:41:06  trojan
- added without odbc bcond
- new bconds

Revision 1.7  2003/09/09 10:24:22  ankry
- spaces -> tab

Revision 1.6  2003/05/28 12:59:42  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:50:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/20 17:24:34  qboosh
- updated to 0.5
- separated -devel, -static, -odbc and -gui (gui build not tested)
- added patch to link only with glib2 instead of both glib versions

Revision 1.3  2002/09/17 09:03:43  wiget
- enable sql engine and experimental odbc driver
- added some BRs (not yet complet)
- prepare files to splin in subpackages
- release 0.2

Revision 1.2  2002/09/16 16:23:02  qboosh
- adapterized, pl description (but looks still NFY)
